### Constructor

# Gsk VulkanRenderer new

#### Declaration [src]

    GskRenderer*
    gsk_vulkan_renderer_new (
      void
    )

#### Description [src]

Creates a new Vulkan renderer.

The Vulkan renderer is a renderer that uses the Vulkan library for rendering.

This renderer will fail to realize when GTK was not compiled with Vulkan support.

#### Return value

Type: `GskRenderer`

A new Vulkan renderer.

The caller of the function takes ownership of the data, and is responsible for freeing it.